Skip to main content
GET
/
api
/
agent
/
tools
/
brand-scan
/
{id}
Get async brand scan status/result
curl --request GET \
  --url https://www.citedy.com/api/agent/tools/brand-scan/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "processing",
  "brand_name": "<string>",
  "credits_charged": 1,
  "overall_score": 50,
  "results": [
    {
      "llmId": "chatgpt",
      "mentioned": true,
      "sentiment": "positive",
      "confidence": 123,
      "snippet": "<string>",
      "error": "<string>"
    }
  ],
  "recommendations": [
    "<string>"
  ],
  "warnings": [
    "<string>"
  ],
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer citedy_agent_* key

Path Parameters

id
string<uuid>
required

Response

Scan status

id
string<uuid>
required
status
enum<string>
required
Available options:
processing,
completed,
failed
brand_name
string
required
credits_charged
integer
required
Required range: x >= 0
overall_score
integer
Required range: 0 <= x <= 100
results
object[]
recommendations
string[]
warnings
string[]
error
string